issuer: "https://mytoken.example.com"
server:
  hostname: "mytoken.example.com"
database:
  host: "localhost"
  user: "mytoken"
  password: "password"
  db: "mytoken"
providers:
  - issuer: "https://example.provider.com/"
    client_id: "clientid"
    client_secret: "clientsecret"
    scopes:
      - openid
      - profile
enabled_oidc_flows:
  - "authorization_code" # MUST be enabled
  - "device"
enabled_super_token_endpoint_grant_types:
  - "super_token" # MUST be enabled
  - "oidc_flow" # MUST be enabled
  - "polling_code"
  - "access_token"
  - "private_key_jwt"
polling_codes:
  expires_after: 300
  polling_interval: 5
signing:
  alg: "ES512"
  key_file: "/mytoken.key"
#  rsa_key_len: 2048
service_documentation: "https://github.com/zachmann/mytoken"
logging:
  access:
    dir: "/var/log/mytoken"
    stderr: false
  internal:
    dir: "/var/log/mytoken"
    stderr: false
    level: "info"

